Subject: Re: [bmwg] [Technical Errata Reported] RFC8239 (5652)

From: Warren Kumari <[email-masked]>
Date: Tue, 6 Aug 2019 12:01:14 -0400

On Mon, Jul 1, 2019 at 4:57 PM Warren Kumari <[email-masked]> wrote:
>
> On Wed, Mar 13, 2019 at 3:31 PM Jacob H. Rapp <[email-masked]> wrote:
> >
> > Thanks Al. Lucien and I are reviewing and will provide feedback soon.
> >
>
> Hi there,
>
> Any progress? This errata is still open, and I'm trying to clean up
> the Ops side of errata...

Any update?
I'm likely to just approve the errata if not.
W

>
> W
>
>
> > thanks,
> >
> > --
> > Jacob
> >
> > On Tue, Mar 12, 2019 at 10:45 AM MORTON, ALFRED C (AL) <[email-masked]> wrote:
> >>
> >> Authors,
> >>
> >> In a quick review, the proposed change appears to
> >> concentrate the oversubscription traffic at the
> >> N-1 egress port.
> >>
> >> Another fix could be (changing the first designation of the egress port,
> >> and highlighting that there are both ingress and egress port N here):
> >>
> >> OLD
> >>        o  Last iteration: Ingress port N-2 sending line rate to egress
> >>           port N-1, while port N is sending a known low amount of ...
> >> Suggest
> >>        o  Last iteration: Ingress port N-2 sending line rate to egress
> >>           port N, while ingress port N is sending a known low amount of ...
> >>
> >> But there is some adaptation needed from previous steps because
> >> N is the *last* port, so the egress port N should be tested in the
> >> last iteration, AFAICT.
> >>
> >> Let us know what you think.
> >> Al
> >>
> >> > -----Original Message-----
> >> > From: RFC Errata System [mailto:[email-masked]]
> >> > Sent: Tuesday, March 12, 2019 10:25 AM
> >> > To: [email-masked]; [email-masked]; [email-masked];
> >> > [email-masked]; MORTON, ALFRED C (AL) <[email-masked]>;
> >> > [email-masked]
> >> > Cc: [email-masked]; [email-masked]; [email-masked]
> >> > Subject: [Technical Errata Reported] RFC8239 (5652)
> >> >
> >> > The following errata report has been submitted for RFC8239,
> >> > "Data Center Benchmarking Methodology".
> >> >
> >> > --------------------------------------
> >> > You may review the report below and at:
> >> > https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-
> >> > 2Deditor.org_errata_eid5652&d=DwIBaQ&c=LFYZ-
> >> > o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LxASF7NaQP_D9pzHXIbGJ6hUXBu5E
> >> > beKiJwvXf1ur84&s=JISNNUf8r8-ZwJkApM9cfoP8T-V2OoAYCvcNSiyymmA&e=
> >> >
> >> > --------------------------------------
> >> > Type: Technical
> >> > Reported by: Nikolai Malykh <[email-masked]>
> >> >
> >> > Section: 3.2
> >> >
> >> > Original Text
> >> > -------------
> >> >       o  Last iteration: Ingress port N-2 sending line rate to egress
> >> >          port N-1, while port N is sending a known low amount of
> >> >          oversubscription traffic (1% recommended) with the same packet
> >> >          size to egress port N.  Measure the buffer size value by
> >> >          multiplying the number of extra frames sent by the frame size.
> >> >
> >> >
> >> > Corrected Text
> >> > --------------
> >> >       o  Last iteration: Ingress port N-2 sending line rate to egress
> >> >          port N-1, while port N is sending a known low amount of
> >> >          oversubscription traffic (1% recommended) with the same packet
> >> >          size to egress port N-1.  Measure the buffer size value by
> >> >          multiplying the number of extra frames sent by the frame size.
> >> >
> >> >
> >> > Notes
> >> > -----
> >> > Incorrect number of the output port for oversubscription traffic.
> >> >
> >> > Instructions:
> >> > -------------
> >> > This erratum is currently posted as "Reported". If necessary, please
> >> > use "Reply All" to discuss whether it should be verified or
> >> > rejected. When a decision is reached, the verifying party
> >> > can log in to change the status and edit the report, if necessary.
> >> >
> >> > --------------------------------------
> >> > RFC8239 (draft-ietf-bmwg-dcbench-methodology-18)
> >> > --------------------------------------
> >> > Title               : Data Center Benchmarking Methodology
> >> > Publication Date    : August 2017
> >> > Author(s)           : L. Avramov, J. Rapp
> >> > Category            : INFORMATIONAL
> >> > Source              : Benchmarking Methodology
> >> > Area                : Operations and Management
> >> > Stream              : IETF
> >> > Verifying Party     : IESG
>
>
>
> --
> I don't think the execution is relevant when it was obviously a bad
> idea in the first place.
> This is like putting rabid weasels in your pants, and later expressing
> regret at having chosen those particular rabid weasels and that pair
> of pants.
>    ---maf

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf